ReadOnlyResultSet
Date: 2010-07-30

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.postgresql.pljava.jdbc
Class ReadOnlyResultSet

    java.lang.Object
      org.postgresql.pljava.jdbc.AbstractResultSet
          org.postgresql.pljava.jdbc.ObjectResultSet
              org.postgresql.pljava.jdbc.ReadOnlyResultSet

All Implemented Interfaces:
  java.sql.ResultSet, java.sql.Wrapper

Direct Known Subclasses:
  SPIResultSet, SyntheticResultSet

    public abstract class ReadOnlyResultSet

extends ObjectResultSet

The ReadOnlyResultSet implements all methods that changes the ResultSet in any way as methods that yield an `UnsupportedFeatureException`.

Field Summary

Fields inherited from interface java.sql.ResultSet
`CLOSE_CURSORS_AT_COMMIT, CONCUR_READ_ONLY, CONCUR_UPDATABLE, FETCH_FORWARD, FETCH_REVERSE, FETCH_UNKNOWN, HOLD_CURSORS_OVER_COMMIT, TYPE_FORWARD_ONLY, TYPE_SCROLL_INSENSITIVE, TYPE_SCROLL_SENSITIVE`

Constructor Summary
`ReadOnlyResultSet()`

Method Summary
`void` | `cancelRowUpdates()` This feature is not supported on a `ReadOnlyResultSet`.
`void` | `deleteRow()` This feature is not supported on a `ReadOnlyResultSet`.
`int` | `getConcurrency()` Returns `ResultSet.CONCUR_READ_ONLY`.
`void` | `insertRow()` This feature is not supported on a `ReadOnlyResultSet`.
`void` | `moveToCurrentRow()` This is a no-op since the `moveToInsertRow()` method is unsupported.
`void` | `moveToInsertRow()` This feature is not supported on a `ReadOnlyResultSet`.
`boolean` | `rowDeleted()` Always returns false.
`boolean` | `rowInserted()` Always returns false.
`boolean` | `rowUpdated()` Always returns false.
`void` | `updateObject(int columnIndex, java.lang.Object x)` This feature is not supported on a `ReadOnlyResultSet`.
`void` | `updateObject(int columnIndex, java.lang.Object x, int scale)` This feature is not supported on a `ReadOnlyResultSet`.
`void` | `updateRow()` This feature is not supported on a `ReadOnlyResultSet`.

Methods inherited from class org.postgresql.pljava.jdbc.ObjectResultSet
`clearWarnings, getArray, getAsciiStream, getBigDecimal, getBigDecimal, getBinaryStream, getBlob, getBoolean, getByte, getBytes, getCharacterStream, getClob, getDate, getDate, getDouble, getFloat, getInt, getLong, getMetaData, getNumber, getObject, getObject, getObjectValue, getObjectValue, getRef, getShort, getString, getTime, getTime, getTimestamp, getTimestamp, getUnicodeStream, getURL, getValue, getValue, getWarnings, refreshRow, updateArray, updateAsciiStream, updateBigDecimal, updateBinaryStream, updateBlob, updateBoolean, updateByte, updateBytes, updateCharacterStream, updateClob, updateDate, updateDouble, updateFloat, updateInt, updateLong, updateNull, updateRef, updateShort, updateString, updateTime, updateTimestamp, wasNull`

Methods inherited from class org.postgresql.pljava.jdbc.AbstractResultSet
`getArray, getAsciiStream, getBigDecimal, getBigDecimal, getBinaryStream, getBlob, getBoolean, getByte, getBytes, getCharacterStream, getClob, getCursorName, getDate, getDate, getDouble, getFloat, getHoldability, getInt, getLong, getNCharacterStream, getNCharacterStream, getNClob, getNClob, getNString, getNString, getObject, getObject, getRef, getRowId, getRowId, getShort, getSQLXML, getSQLXML, getStatement, getString, getTime, getTime, getTimestamp, getTimestamp, getUnicodeStream, getURL, isClosed, isWrapperFor, unwrap, updateArray, updateAsciiStream, updateAsciiStream, updateAsciiStream, updateAsciiStream, updateAsciiStream, updateBigDecimal, updateBinaryStream, updateBinaryStream, updateBinaryStream, updateBinaryStream, updateBinaryStream, updateBlob, updateBlob, updateBlob, updateBlob, updateBlob, updateBoolean, updateByte, updateBytes, updateCharacterStream, updateCharacterStream, updateCharacterStream, updateCharacterStream, updateCharacterStream, updateClob, updateClob, updateClob, updateClob, updateClob, updateDate, updateDouble, updateFloat, updateInt, updateLong, updateNCharacterStream, updateNCharacterStream, updateNCharacterStream, updateNCharacterStream, updateNClob, updateNClob, updateNClob, updateNClob, updateNClob, updateNClob, updateNString, updateNString, updateNull, updateObject, updateObject, updateRef, updateRowId, updateRowId, updateShort, updateSQLXML, updateSQLXML, updateString, updateTime, updateTimestamp`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface java.sql.ResultSet
`absolute, afterLast, beforeFirst, close, findColumn, first, getFetchDirection, getFetchSize, getRow, getType, isAfterLast, isBeforeFirst, isFirst, isLast, last, next, previous, relative, setFetchDirection, setFetchSize`

Constructor Detail

### ReadOnlyResultSet

    public ReadOnlyResultSet()

Method Detail

### getConcurrency

    public int getConcurrency()
                       throws java.sql.SQLException

  Returns `ResultSet.CONCUR_READ_ONLY`.

  Throws:
    `java.sql.SQLException`

### cancelRowUpdates

    public void cancelRowUpdates()
                          throws java.sql.SQLException

  This feature is not supported on a `ReadOnlyResultSet`.

  Throws:
    `java.sql.SQLException` - indicating that this feature is not supported.

### deleteRow

    public void deleteRow()
                   throws java.sql.SQLException

  This feature is not supported on a `ReadOnlyResultSet`.

  Throws:
    `java.sql.SQLException` - indicating that this feature is not supported.

### insertRow

    public void insertRow()
                   throws java.sql.SQLException

  This feature is not supported on a `ReadOnlyResultSet`.

  Throws:
    `java.sql.SQLException` - indicating that this feature is not supported.

### moveToCurrentRow

    public void moveToCurrentRow()
                          throws java.sql.SQLException

  This is a no-op since the `moveToInsertRow()` method is unsupported.

  Throws:
    `java.sql.SQLException`

### moveToInsertRow

    public void moveToInsertRow()
                         throws java.sql.SQLException

  This feature is not supported on a `ReadOnlyResultSet`.

  Throws:
    `java.sql.SQLException` - indicating that this feature is not supported.

### updateRow

    public void updateRow()
                   throws java.sql.SQLException

  This feature is not supported on a `ReadOnlyResultSet`.

  Throws:
    `java.sql.SQLException` - indicating that this feature is not supported.

### rowDeleted

    public boolean rowDeleted()
                       throws java.sql.SQLException

  Always returns false.

  Throws:
    `java.sql.SQLException`

### rowInserted

    public boolean rowInserted()
                        throws java.sql.SQLException

  Always returns false.

  Throws:
    `java.sql.SQLException`

### rowUpdated

    public boolean rowUpdated()
                       throws java.sql.SQLException

  Always returns false.

  Throws:
    `java.sql.SQLException`

### updateObject

    public void updateObject(int columnIndex,
                             java.lang.Object x)
                      throws java.sql.SQLException

  This feature is not supported on a `ReadOnlyResultSet`.

  Throws:
    `java.sql.SQLException` - indicating that this feature is not supported.

### updateObject

    public void updateObject(int columnIndex,
                             java.lang.Object x,
                             int scale)
                      throws java.sql.SQLException

  This feature is not supported on a `ReadOnlyResultSet`.

  Throws:
    `java.sql.SQLException` - indicating that this feature is not supported.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2003, 2004, 2005 TADA AB - Taby Sweden. \ Distributed under the terms shown in COPYRIGHT